<template>
  <div id="CreatePoll" class="container" >
    <h2>Create Poll</h2>
    <form @submit.prevent="addNewPoll">
        <input v-model="poll_question" type="text" name="name" id="question" placeholder="Question" required>
        <input v-for="n in count" v-bind:key="n" type="text" v-bind:name="'newField'+n" v-bind:placeholder="'Option '+n" required>
        <div>
            <input name="addFieldButton" type="button" value="+" v-on:click="count++" />
            <input v-show="count>2" name="deleteButton" type="button" value="-" v-on:click="count--" />
        </div>
        <div>
           <input type="submit" value="Submit">
        </div>
    </form>
    <div v-show="this.poll_created">
      <h3> Code: {{code}}</h3>
    </div>
  </div>
</template>

<script>

import { RTDB } from '../main.js';
import * as crypto from 'crypto';

export default {
  name: 'CreatePoll',
  data () {
    return {
      poll_created:false,
      count: 2,
      poll_question: "",
      poll_options:[],
    };
  },
  methods: {
    addNewPoll (submitEvent) {
      var randomString = crypto.randomBytes(3).toString('hex');
      for(var i =1;i<=this.count;i++)
      {
        var array=[];
        array.push(submitEvent.target.elements['newField'+i].value);
        array.push(0);
        this.poll_options.push(array);
        submitEvent.target.elements['newField'+i].value="";
      }
      RTDB.ref('polls/'+randomString).set({
        question:this.poll_question,
        answers: this.poll_options,
      });
      this.code=randomString;
      this.poll_question = '';
      this.poll_options=[];
      this.poll_created=true;
    }
  }
};
</script>
<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
    body{
    width:960px;
    margin:45px auto;
    }
    form{
        width:330px;
        border-top:1px dotted #D9D9D9;
        margin:10px auto
    }
    input[type="button"]{
        width: 45px;
        color:#343A40;
        margin:2%;
        background-color: #17A2B8;
        padding: 0px;
        font-size: 22px;
    }
    input{
        width:250px;
        padding:5px;
        margin:10px 0 10px;
        border-radius:5px;
        border:2px solid #17A2B8;
    }
    input[type = submit]{
        width:100px;
        background-color:#343A40;
        border-radius:5px;
        border:1px solid #17A2B8;
        color:#fff
    }
    h2{
        color:#4C4C4C;
        text-align:center
    }
    .container{
        text-align:center;
        width:50%;
        border:1px solid #D0D0D0;
        background-color:#fff;
        padding-top:40px;
        padding-bottom:40px;
        border-radius:5px;
        margin: 0 auto;
    }
</style>
